apiVersion: opentestfactory.org/v1alpha1
kind: Workflow
metadata:
  name: RobotFramework Example
hooks:
  - name: robot setup
    events:
    - category: robot
      categoryPrefix: robotframework
    before:
    - run: echo hello robot
jobs:
  keyword-driven:
    runs-on: [windows, robotframework]
    steps:
    - uses: actions/checkout@v2
      with:
        repository: https://github.com/robotframework/RobotDemo.git
    - run: 'dir'
      working-directory: RobotDemo
    - uses: robotframework/robot@v1
      with:
        datasource: RobotDemo/keyword_driven.robot
        reports_for_allure: true
